Create an integration
curl --request POST \
--url https://api.phare.io/apps/{app}/integrations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "DevOps Team",
"settings": {}
}
'import requests
url = "https://api.phare.io/apps/{app}/integrations"
payload = {
"name": "DevOps Team",
"settings": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'DevOps Team', settings: {}})
};
fetch('https://api.phare.io/apps/{app}/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "DevOps Team",
"id": 1,
"app": "sms",
"settings": {},
"paused": false,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "Unauthorized"
}{
"message": "The platform:write permission is required to perform this action."
}{
"message": "<string>",
"errors": {
"key": [
"The key field is required"
]
}
}Integrations
Create an integration
Create an integration for a specific app.
POST
/
apps
/
{app}
/
integrations
Create an integration
Supported apps
Only the following apps can be created through the API, each with its ownsettings:
The SMS integration requires a Scale plan subscription.
Why some apps are not supported
Some integrations need a step that can’t be done with an API request, so they can only be created from the control panel:- Slack and Discord: You need to sign in to Slack or Discord and approve the Phare app in your browser.
- Telegram: The Phare bot is connected to your chat by opening a link or scanning a QR code on your device.
403 error. Once created in the control panel, they can still be listed, fetched, deleted, and used in alert rules through the API.Authorizations
Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.
Headers
A project header is required when using an organization-scoped API key.
Example:
1
A project header is required when using an organization-scoped API key.
Example:
"luminous-guiding-tower"
Path Parameters
The app key
Available options:
sms, email, ilert, ntfy, outgoing_webhook, pushover Body
application/json
Integration request
Response
Success, integration created
Integration name
Required string length:
2 - 50Example:
"DevOps Team"
Integration ID
Example:
1
Available options:
sms, discord, email, ilert, ntfy, outgoing_webhook, pushover, slack, telegram Settings specific to the integration app
- Empty
- Email
- ilert
- Ntfy
- Outgoing Webhooks
- Pushover
- SMS
Integration paused status
Example:
false
Date of creation for the entity
Date of last update for the entity
Last modified on October 11, 2026
Was this page helpful?